#!/usr/local/bin/ipython3
import astropy,os,scipy
#from pyfits import getdata
#from pyfits import getheader
#from pyfits import getval
import numpy as np
from astropy.io import fits

os.system('ls e*.fits > fits.lst')

f=open("fits.lst")
for line in f.readlines():#[21:22]:
    print('JD is ',line[1:5])

JD=np.int16(line[1:5])
bias_name='bias_'+line[1:5]+'.fits'

bias=fits.open(bias_name)

for line in open("fits.lst"):
    line=line.strip("\n")
    objectname=fits.getval(line,'IMAGETYP',0)
    if (objectname != 'zero'):
        print(line,objectname)
        object=fits.open(line)

        for k in range(16):            
            object[k+1].data[:2048,:2016]-=bias[k+1].data[:2048,:2016]

        object.writeto(line[:15],clobber='True')
        object.close()

bias.close()
